EnKash Developer Portal
Home
Home
Login
  1. E-Collect
  • Back to home
  • APIs - Payment Gateway
  • Authorization
    • Generate Authorization Token
    • Payment Modes Details
  • Order
    • Create Order
    • Get Order Status
    • Get Order By Merchant Order Id
    • Get BNPL Payment Methods
    • Get Dynamic UPI QR
    • UPI Intent Links
    • Search Order
  • Payment
    • Submit Payment Request
    • Get Transaction Status
    • Validate OTP
    • Resend OTP
    • Payment Notify Request
    • Get UPI Transaction Status
    • Verify UPI VPA
    • Search Transaction
  • Refund
    • Refund
    • Get Refund Transaction Status
    • Refund Webhook Request
  • Settlement
    • Get Settlement Payout By ID
    • Search Settlement Payouts
  • Split Settlement
    • Create Split Settlement Account
    • Update Split Settlement Account
    • Get All Split Settlement Account
    • Deactivate Split Settlement Account
    • Activate Split Settlement Account
    • Submit Payment with Split Details
    • Edit Or Deferred Split Settlement
  • E-Commerce Plugins
  • UPI QR
    • Create UPI QR
    • Get UPI QR
    • Search UPI QR
    • Create Customer
    • Search Customer
    • Cancel UPI QR
  • UPI Autopay
    • Create UPI Mandate
    • Update UPI Mandate
    • Revoke UPI Mandate
    • Get UPI Mandate
    • UPI Mandate Callback
    • Mandate Pre-debit Notification
    • Execute Mandate Debit
    • Mandate Debit Callback
  • Payment Links
    • Payment Link APIs
    • Create Payment Link
    • Get Payment Link Details
    • Delete Payment Link
    • Webhook Request
  • E-Collect
    • Create Virtual Account
      POST
    • View Virtual Account by Id
      GET
    • Update Virtual Account
      PATCH
    • View Virtual Account by Account Number
      GET
    • Search Virtual Account
      POST
    • Search Transactions
      POST
    • View Virtual Account by Customer Reference Id
      GET
  1. E-Collect

Create Virtual Account

POST
/api/v0/merchant-virtual-account
Use this API to create a new virtual account for a merchant. Provide customer details, expected collection amount, and an expiry time. Enkash will provision a virtual bank account that can receive payments up to the specified amount before the close-by time.

Request

Header Params

Body Params application/jsonRequired

Examples
{
    "merchantDetailId": "MD345EFDHFHSB",
    "customerReferenceId": "CUST7625367",
    "customerId": "cust_001",
    "customerName": "Emmett Sawayn",
    "customerEmail": "Claire20@gmail.com",
    "customerPhone": "9876543210",
    "description": "Monthly rent",
    "notes": {
        "key1": "value1"
    },
    "expectedAmount": 5000.00,
    "closeBy": "2026-06-01 23:59:59"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://olympus-pg-uat.enkash.in/api/v0/merchant-virtual-account' \
--header 'Authorization: Bearer dhhbdwe8344r673rg' \
--header 'Content-Type: application/json' \
--data-raw '{
    "merchantDetailId": "MD345EFDHFHSB",
    "customerReferenceId": "CUST7625367",
    "customerId": "cust_001",
    "customerName": "Emmett Sawayn",
    "customerEmail": "Claire20@gmail.com",
    "customerPhone": "9876543210",
    "description": "Monthly rent",
    "notes": {
        "key1": "value1"
    },
    "expectedAmount": 5000.00,
    "closeBy": "2026-06-01 23:59:59"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
  "response_code": 0,
  "response_message": "SUCCESS",
  "payload": {
    "virtualAccountId": "va_abc123",
    "merchantDetailId": "mdt_abc123",
    "customerId": "cust_001",
    "customerName": "John Doe",
    "customerEmail": "john@example.com",
    "customerPhone": "9876543210",
    "virtualAccountNumber": "VA00001234",
    "virtualAccountIfscCode": "RATN0VAAPIS",
    "bankName": "RBL Bank",
    "customerAccountNumber": "9876543210123",
    "customerUpiHandle": "john@upi",
    "customerIfscCode": "SBIN0001234",
    "status": "ACTIVE",
    "closedOn": "2026-06-01 23:59:59",
    "description": "Monthly rent",
    "amountPaid": 3000.00,
    "notes": {
      "key1": "value1",
      "key2": "value2"
    },
    "expectedAmount": 5000.00
  }
}
Modified at 2026-06-03 05:25:44
Previous
Webhook Request
Next
View Virtual Account by Id
Built with